Name: libomniORB
Version: 4.0.2
Release: alt1

Summary: ORB from AT&T
Copyright: GPL
Group: Development/C++
URL: http://omniorb.sourceforge.net/

Source: omniORB-%version.tar.bz2

Source1: omniEvents_2.1.1.tar.bz2
Source2: omniNotify12.tar.bz2

Source100: omniORB.cfg
Source101: omninames

# Automatically added by buildreq on Wed Sep 04 2002
BuildRequires: XFree86-utils gcc-c++ libomniORB-devel libstdc++-devel python-devel tkinter

Provides: %name-demos = %version
Obsoletes: %name-demos

%description
omniORB is an Object Request Broker (ORB) that implements the 2.3            
specification of the Common Object Request Broker Architecture               
(CORBA) [OMG99]. It has passed the Open Group CORBA compliant         
testsuite and is one of the three ORBs to have been granted the CORBA        
brand in June 1999.                                                      
This user guide tells you how to use omniORB to develop CORBA                
applications. It assumes a basic understanding of CORBA.                     
In this chapter, we give an overview of the main features of omniORB         
and what you need to do to setup your environment to run omniORB. 

%package devel
Summary: development part of omniORB
Group: Development/C++
Requires: %name = %version-%release, python = %__python_version 

%description devel
This devel package includes the libraries and header files
for the omniORB package.

%package devel-static
Summary: development part of omniORB
Group: Development/C++
Requires: %name-devel = %version-%release

%description devel-static
This devel package includes static libraries
for the omniORB package.

%prep
%setup -q -n omniORB-%version 

%build
%configure --with-omniNames-logdir=%_logdir/omniORB
%make

%install
make DESTDIR=$RPM_BUILD_ROOT install

install -d -m 755 $RPM_BUILD_ROOT%_logdir/omniORB
install -d -m 755 $RPM_BUILD_ROOT%_man1dir
install -d -m 755 $RPM_BUILD_ROOT%_initdir


cp -a man/man1/* $RPM_BUILD_ROOT%_man1dir
install -pm644 %SOURCE100 $RPM_BUILD_ROOT%_sysconfdir
cp %SOURCE101 omninames.startup

%post
%post_ldconfig

%postun
%postun_ldconfig

%files
%doc omninames.startup
%config(noreplace) %_sysconfdir/omniORB.cfg
%attr(755,daemon,daemon) %dir %_logdir/omniORB
%_bindir/*
%exclude %_bindir/omniidl*
%exclude %_bindir/omnicpp
%exclude %_bindir/omkdepend
%_mandir/man?/*
%_libdir/python%__python_version/site-packages/*
%_libdir/*.so.*

%files devel
%doc doc/*.pdf 
%_bindir/omniidl*
%_bindir/omnicpp
%_bindir/omkdepend
%_includedir/*
%_libdir/*.so
%_datadir/idl/omniORB


%files devel-static
%_libdir/*.a

%changelog
* Tue Sep 30 2003 Stanislav Ievlev <inger@altlinux.ru> 4.0.2-alt1
- 4.0.2

* Tue May 20 2003 Stanislav Ievlev <inger@altlinux.ru> 4.0.1-alt1
- 4.0.1
- remove omninames startup script (still in doc dir)
- omniORBPy in separate package now

* Fri Feb 28 2003 Stanislav Ievlev <inger@altlinux.ru> 4.0.0-alt1
- 4.0.0

* Wed Sep 04 2002 Stanislav Ievlev <inger@altlinux.ru> 3.0.5-alt1
- 3.0.5
- build with gcc3

* Tue Feb 12 2002 Stanislav Ievlev <inger@altlinux.ru> 3.0.4-alt11
- fix dirs ownerships.

* Tue Jan 29 2002 Stanislav Ievlev <inger@altlinux.ru> 3.0.4-alt10
- added latest bugfix patches to omniORBpy and omniNotify
- rebuild with new python

* Fri Oct 19 2001 Stanislav Ievlev <inger@altlinux.ru> 3.0.4-alt9
- omniNotify 1.1
- latest bugfixes for omniORB and omniORBpy

* Mon Sep 10 2001 Stanislav Ievlev <inger@altlinux.ru> 3.0.4-alt8
- Applied latest bugfixes.

* Mon Jul 30 2001 Stanislav Ievlev <inger@altlinux.ru> 3.0.4-alt7
- Added omniROBpy package.
- move python files to right place.

* Thu Jul 26 2001 Stanislav Ievlev <inger@altlinux.ru> 3.0.4-alt6
- Added omniNotify service
- New package with demo stuff.

* Tue Jul 24 2001 Stanislav Ievlev <inger@altlinux.ru> 3.0.4-alt5
- Added omniEvents service.

* Fri Jul 06 2001 Stanislav Ievlev <inger@altlinux.ru> 3.0.4-alt4
- Small fixes. Buildreq and Requires on python.

* Tue Jul 03 2001 Stanislav Ievlev <inger@altlinux.ru> 3.0.4-alt3
- Changed default config and log locations.

* Mon Jul 02 2001 Stanislav Ievlev <inger@altlinux.ru> 3.0.4-alt2
- Splited bin files into main package and devel. Added config file.

* Fri Jun 29 2001 Stanislav Ievlev <inger@altlinux.ru> 3.0.4-alt1
- 3.0.4

* Wed Jun 27 2001 Stanislav Ievlev <inger@altlinux.ru> 3.0.3-alt3
- Rebuilt with python-2.1

* Wed May 16 2001 Stanislav Ievlev <inger@altlinux.ru> 3.0.3-alt2
- Rename ols to o_ls to avoid conflicts with speach_*

* Wed Apr 25 2001 Stanislav Ievlev <inger@altlinux.ru> 3.0.3-alt1
- Initial release for ALT Linux
